%define name kzacman
%define version 1.0
%define release 2mdk

Summary: KZacman - a maze game similar to Pacman
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/games/%{name}-%{version}.tar.bz2
Copyright: OpenSource
Group: Games/Arcade
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdebase

%description
KZacman is a maze game similar to Pacman written for the K Desktop
Environment using the QT and KDE libraries. It has been tested under
the Beta 4 release of KDE and should be considered stable.
   
I release it under an open source code license. If you like this
program, send me a postcard from your hometown :-)

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT/ \
			--disable-rpath
make

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{prefix}/share/apps/kzacman/data/arrow-down-mask.bmp
/%{prefix}/share/apps/kzacman/data/arrow-down.bmp
/%{prefix}/share/apps/kzacman/data/arrow-up-mask.bmp
/%{prefix}/share/apps/kzacman/data/arrow-up.bmp
/%{prefix}/share/apps/kzacman/data/back1.bmp
/%{prefix}/share/apps/kzacman/data/back2.bmp
/%{prefix}/share/apps/kzacman/data/back3.bmp
/%{prefix}/share/apps/kzacman/data/back4.bmp
/%{prefix}/share/apps/kzacman/data/back5.bmp
/%{prefix}/share/apps/kzacman/data/back6.bmp
/%{prefix}/share/apps/kzacman/data/wall1.bmp
/%{prefix}/share/apps/kzacman/data/wall2.bmp
/%{prefix}/share/apps/kzacman/data/wall3.bmp
/%{prefix}/share/apps/kzacman/data/wall4.bmp
/%{prefix}/share/apps/kzacman/data/wall5.bmp
/%{prefix}/share/apps/kzacman/data/wall6.bmp
/%{prefix}/share/apps/kzacman/data/zacman-down.bmp
/%{prefix}/share/apps/kzacman/data/zacman-left.bmp
/%{prefix}/share/apps/kzacman/data/zacman-right.bmp
/%{prefix}/share/apps/kzacman/data/zacman-up.bmp
/%{prefix}/share/apps/kzacman/data/zacman-potion-down.bmp
/%{prefix}/share/apps/kzacman/data/zacman-potion-left.bmp
/%{prefix}/share/apps/kzacman/data/zacman-potion-right.bmp
/%{prefix}/share/apps/kzacman/data/zacman-potion-up.bmp
/%{prefix}/share/apps/kzacman/data/zacman-down-mask.bmp
/%{prefix}/share/apps/kzacman/data/zacman-left-mask.bmp
/%{prefix}/share/apps/kzacman/data/zacman-right-mask.bmp
/%{prefix}/share/apps/kzacman/data/zacman-up-mask.bmp
/%{prefix}/share/apps/kzacman/data/monster-down-mask.bmp
/%{prefix}/share/apps/kzacman/data/monster-down.bmp
/%{prefix}/share/apps/kzacman/data/monster-left-mask.bmp
/%{prefix}/share/apps/kzacman/data/monster-left.bmp
/%{prefix}/share/apps/kzacman/data/monster-right-mask.bmp
/%{prefix}/share/apps/kzacman/data/monster-right.bmp
/%{prefix}/share/apps/kzacman/data/monster-up-mask.bmp
/%{prefix}/share/apps/kzacman/data/monster-up.bmp
/%{prefix}/share/apps/kzacman/data/balloon-ouch.bmp
/%{prefix}/share/apps/kzacman/data/balloon-ouch-mask.bmp
/%{prefix}/share/apps/kzacman/data/balloon-chomp.bmp
/%{prefix}/share/apps/kzacman/data/bg.bmp
/%{prefix}/share/apps/kzacman/data/balloon-chomp-mask.bmp
/%{prefix}/share/apps/kzacman/data/balloon-exit.bmp
/%{prefix}/share/apps/kzacman/data/balloon-exit-mask.bmp
/%{prefix}/share/apps/kzacman/data/point.bmp
/%{prefix}/share/apps/kzacman/data/point-mask.bmp
/%{prefix}/share/apps/kzacman/data/potion.bmp
/%{prefix}/share/apps/kzacman/data/potion-mask.bmp
/%{prefix}/share/apps/kzacman/data/pause.bmp
/%{prefix}/share/apps/kzacman/wav/die.wav
/%{prefix}/share/apps/kzacman/wav/monster.wav
/%{prefix}/share/apps/kzacman/wav/point.wav
/%{prefix}/share/apps/kzacman/wav/potion.wav
/%{prefix}/share/apps/kzacman/wav/saw.wav
#/%{prefix}/share/doc/HTML/en/kzacman/index.html
#/%{prefix}/share/doc/HTML/en/kzacman/kzacman.gif
#/%{prefix}/share/doc/HTML/en/kzacman/monster.gif
#/%{prefix}/share/doc/HTML/en/kzacman/point.gif
#/%{prefix}/share/doc/HTML/en/kzacman/potion.gif
#/%{prefix}/share/doc/HTML/en/kzacman/zacman-potion.gif
#/%{prefix}/share/doc/HTML/en/kzacman/zacman.gif
/%{prefix}/share/applnk/Games/kzacman.kdelnk
/%{prefix}/share/icons/kzacman.xpm
/%{prefix}/share/icons/mini/kzacman.xpm
/%{prefix}/bin/kzacman

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- fix group
- fix files section

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.

